VampPluginSDK 2.1

- Main Page
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Defines | Enumerations | Functions
vamp-simple-host.cpp File Reference

Go to the source code of this file.

## Defines
#define | HOST_VERSION "1.4"
## Enumerations
enum | Verbosity { PluginIds, PluginOutputIds, PluginInformation, PluginInformationDetailed }
## Functions
void | printFeatures (int, int, int, Plugin::FeatureSet, ofstream *, bool frames)
void | transformInput (float *, size_t)
void | fft (unsigned int, bool, double *, double *, double *, double *)
void | printPluginPath (bool verbose)
void | printPluginCategoryList ()
void | enumeratePlugins (Verbosity)
void | listPluginsInLibrary (string soname)
int | runPlugin (string myname, string soname, string id, string output, int outputNo, string inputFile, string outfilename, bool frames)
void | usage (const char *name)
int | main (int argc, char **argv)
static string | header (string text, int level)

## Define Documentation

#define HOST_VERSION "1.4"

Definition at line 74 of file vamp-simple-host.cpp.

Referenced by main().

## Enumeration Type Documentation

enum Verbosity

Enumerator:

  PluginIds |
  PluginOutputIds |
  PluginInformation |
  PluginInformationDetailed |

Definition at line 76 of file vamp-simple-host.cpp.

## Function Documentation

void printFeatures | ( | int | frame,
|  | int | sr,
|  | int | output,
|  | Plugin::FeatureSet | features,
|  | ofstream * | out,
|  | bool | frames
| ) |  |

Definition at line 495 of file vamp-simple-host.cpp.

References Vamp::RealTime::toString().

Referenced by runPlugin().

void transformInput | ( | float * | ,
|  | size_t |
| ) |  |

void fft | ( | unsigned | int,
|  | bool | ,
|  | double * | ,
|  | double * | ,
|  | double * | ,
|  | double * |
| ) |  |

void printPluginPath | ( | bool | verbose | ) |

Definition at line 547 of file vamp-simple-host.cpp.

Referenced by main().

void printPluginCategoryList | ( |  | ) |

Definition at line 797 of file vamp-simple-host.cpp.

References Vamp::PluginBase::getDescription(), Vamp::PluginBase::getMaker(), Vamp::PluginBase::getName(), Vamp::HostExt::PluginLoader::getPluginCategory(), Vamp::HostExt::PluginLoader::listPlugins(), and Vamp::HostExt::PluginLoader::loadPlugin().

Referenced by main().

void enumeratePlugins | ( | Verbosity | verbosity | ) |

Definition at line 578 of file vamp-simple-host.cpp.

References Vamp::PluginBase::getCopyright(), Vamp::PluginBase::getDescription(), Vamp::PluginBase::getIdentifier(), Vamp::Plugin::getInputDomain(), Vamp::HostExt::PluginLoader::getLibraryPathForPlugin(), Vamp::PluginBase::getMaker(), Vamp::Plugin::getMaxChannelCount(), Vamp::Plugin::getMinChannelCount(), Vamp::PluginBase::getName(), Vamp::Plugin::getOutputDescriptors(), Vamp::PluginBase::getParameterDescriptors(), Vamp::HostExt::PluginLoader::getPluginCategory(), Vamp::PluginBase::getPluginVersion(), Vamp::Plugin::getPreferredBlockSize(), Vamp::Plugin::getPreferredStepSize(), Vamp::PluginBase::getVampApiVersion(), header(), Vamp::HostExt::PluginLoader::listPlugins(), Vamp::HostExt::PluginLoader::loadPlugin(), PluginIds, PluginInformation, PluginInformationDetailed, PluginOutputIds, and Vamp::Plugin::TimeDomain.

Referenced by main().

void listPluginsInLibrary | ( | string | soname | ) |

int runPlugin | ( | string | myname,
|  | string | soname,
|  | string | id,
|  | string | output,
|  | int | outputNo,
|  | string | inputFile,
|  | string | outfilename,
|  | bool | frames
| ) |  |

Definition at line 265 of file vamp-simple-host.cpp.

References Vamp::HostExt::PluginLoader::composePluginKey(), Vamp::PluginBase::getIdentifier(), Vamp::Plugin::getInputDomain(), Vamp::Plugin::getMaxChannelCount(), Vamp::Plugin::getMinChannelCount(), Vamp::Plugin::getOutputDescriptors(), Vamp::Plugin::getPreferredBlockSize(), Vamp::Plugin::getPreferredStepSize(), Vamp::Plugin::getRemainingFeatures(), Vamp::HostExt::PluginInputDomainAdapter::getTimestampAdjustment(), Vamp::HostExt::PluginWrapper::getWrapper(), Vamp::Plugin::initialise(), Vamp::HostExt::PluginLoader::loadPlugin(), printFeatures(), and Vamp::Plugin::process().

Referenced by main().

void usage | ( | const char * | name | ) |

Definition at line 93 of file vamp-simple-host.cpp.

References PLUGIN_SUFFIX.

Referenced by main().

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 137 of file vamp-simple-host.cpp.

References enumeratePlugins(), HOST_VERSION, PluginIds, PluginInformation, PluginInformationDetailed, PluginOutputIds, printPluginCategoryList(), printPluginPath(), runPlugin(), usage(), VAMP_API_VERSION, and VAMP_SDK_VERSION.

static string header | ( | string | text,
|  | int | level
| ) |  | `[static]`

Definition at line 567 of file vamp-simple-host.cpp.

Referenced by enumeratePlugins().